package com.huimv.manager.modular.controller;

import cn.dustlight.captcha.annotations.CodeValue;
import cn.dustlight.captcha.annotations.SendCode;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 验证码前端控制器
 * </p>
 * @Author yinhao
 * @Date 2021/4/19 11:56
 */
@RestController
@CrossOrigin
@RequestMapping("/captcha")
@Slf4j
public class CaptchaController {

    @GetMapping("/send")
    @SendCode()
    public void getCaptcha(@CodeValue String code){
        log.info(code);
    }
}
