package com.huimv.manager.modular.repository;

import com.huimv.manager.modular.entity.MobileUser;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MobileUserRepository extends JpaRepository<MobileUser, Integer>, JpaSpecificationExecutor<MobileUser> {

    MobileUser findByAccount(String account);


    @Query(nativeQuery = true ,value = "select * from mobile_user where user_name like %?1% limit ?2 , ?3")
    List<MobileUser> findAll(String name, Integer startPage, Integer pageSize);
}