package com.huimv.manager.modular.service;

import com.huimv.manager.modular.entity.MobileUnit;
import org.springframework.data.domain.Page;

/**
 * @Author yinhao
 * @Date 2021/4/20 11:31
 * @Description
 */
public interface MobileUnitService {


    Page<MobileUnit> findAll(Integer pageNum, Integer pageSize);

    Page<MobileUnit> findAllByKeyword(Integer pageNum, Integer pageSize, String keyword);


    void save(MobileUnit mobileUnit);

    void deleteById(Integer id);

    void batchDeleteByIds(Integer[] ids);
}
